#pragma once
#include "Entity.h"
#define CS_MONSTERXANI_CREATENAME L"CS_monsterx_animate"
//ß÷Ë¹ÌØ
class CS_MonsterXAni :
    public Entity
{
public:
    CS_MonsterXAni();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
    void SetFace(int face);
    int stateID = 0;
    int drop_counter = 60;
    int wink_counter = 0;
    void WinkAnimate();
};

std::shared_ptr<Entity> CreateCS_MonsterXAni();